<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>OK</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <script>
        function getMobileOperatingSystem() {
            var userAgent = navigator.userAgent || navigator.vendor || window.opera;

            // Windows Phone must come first because its UA also contains "Android"
            if (/windows phone/i.test(userAgent)) {
                return "Windows Phone";
            }

            if (/android/i.test(userAgent)) {
                return "Android";
            }

            // iOS detection from: http://stackoverflow.com/a/9039885/177710
            if (/iPad|iPhone|iPod/.test(userAgent) && !window.MSStream) {
                return "iOS";
            }

            return "unknown";
        }
    </script>
</head>
<body class="container">
    <header class="pb-3 mb-0 border-bottom">
        <a href="https://sonphatgroup.vn/" class="d-flex align-items-center text-dark text-decoration-none">
            <img height="96" class="me-2" src="https://cai-dat-slaixe.sbus.vn/images/LOGO_SONPHAT-01.png" alt="">
        </a>
    </header>

    <div class="row mt-2 mb-2">
        <div class="col-md-12">
            <h1 class="display-6">Dev menu</h1>
        </div>
    </div>

    <div class="row mt-2 mb-2">
        <div class="col-md-12">
            <button class="btn btn-danger" id="btn-enable-devpanel">Enable DevPanel</button>
        </div>
        <script>
            (async (btn, txt) => {
                btn.addEventListener("click", () => {
                    let devcode = prompt("This function enable DevPanel on iOS or chrome inspect on Android. This function protected is default.\n\n\t Please enter devcode:");
                    location.assign(`slaixe://debug/grant-access?${devcode}`);
                });
            })(document.querySelector("#btn-enable-devpanel"));
        </script>
    </div>
    <div class="row mt-2 mb-2">
        <div class="col-md-12">
            <div class="input-group">
                <label class="input-group-text" for="txt-home-url">Home URL: </label>
                <input class="form-control" type="url" id="txt-home-url" />
                <button class="btn btn-outline-primary" id="btn-home-url">Set</button>
            </div>
        </div>
        <script>
            (async (btn, txt) => {
                switch(getMobileOperatingSystem()) {
                    case "Android":
                        txt.value = "https://localapplication/"; break;
                    case "iOS":
                        txt.value = "app://localapplication"; break;
                    default:
                        txt.value = "https://sbus.vn/"; break;
                }
                btn.addEventListener("click", () => {
                    location.assign(`slaixe://debug/set/home-url?value=${txt.value}`);
                });
            })(document.querySelector("#btn-home-url"), document.querySelector("#txt-home-url"));
        </script>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>